<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML - Forms, Tables and Semantic HTML</title>
	</head>
	<body>
		<!-- header tag is a semantic tag to inform the developer and client that this component is for the header of the web page. -->
		<header>
			<h2 align="center">HTML Entities</h2>
		</header>

		<main>
			<!-- This section is for the HTML Table. -->
			<section>
				<p><em>Reserved characters in HTML (e.g. &lt; or &gt;) that can be mixed up with HTML code.</em></p>

				<!-- border attribute defines the border thickness -->
				<table border ="2">
					<!-- thead tag is for the header of the table -->
					<thead>
						<!-- tr - tag defines a table row -->
						<tr>
							<!-- th tag defines a table header element -->
							<!-- cols span att. changes the amount of columns a table element will occupy -->
							<th colspan = "2">Entity</th>
							<!-- rowspan attribute changes the amount of rows a table element will occupy -->
							<th rowspan = "2">Description</th>
						</tr>
						
						<tr>
							<!-- Second row of oyr header -->
							<th>Symbol</th>
							<th>Name/Number</th>
						</tr>

					</thead>
					<!-- tbody tag is for the body of the table -->
					<tbody>
						<tr>
							<!-- td - we used td for the column of our tbody -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>

						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>pero sign</td>
						</tr>

						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>

						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>

						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark(apostrophe</td>
						</tr>

						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>Lower Tilde</td>
						</tr>

						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>Upper Title</td>
						</tr>
						
					</tbody>

					<!-- tfoot tag is for the footer of the table -->
					<tfoot>
						<tr>
							<th colspan ="3">List of HTML Entities</th>
						</tr>
						
					</tfoot>

				</table>
			</section>
			<!-- This is the end of table section -->
			<!-- This section is for the HTML Form -->
			<section>
				<h2 align="center">HTML Forms</h2>

				<p><em>Input elements that make up a form.</em></p>

				<form>
					<!-- Text inputs -->
					<!-- label tag - creates a text element that serve as the label for the input field should-->
					<!-- for attribute is used with the id attribute in an input element. This allows users to click the label to type their responses.-->
					<!-- name attribute - it tells the database/api where the value collected from the user will be added depending on the method. -->
					<!-- value attribute - it is the information from the user that will be passed from the database -->

					<label for ="fullname">Full Name:</label><br/>
					<input type="text" name="fullname" id ="fullname" required autocomplete="" /><br/>
					<!-- br is for break -->

					<label for ="birthdate">Birthdate:</label><br/>
					<input type="date" name="birthdate" id ="birthdate" required autocomplete="" /><br/>

					<label>Age:</label>
					<input type="number" name="age" id ="age" required autocomplete=""></br>
					
					<!-- Dropdown -->
					<laber for ="gender">Gender:</label><br/>
					<select name ="gender" id ="gender">
							<option value= "male">Male</option>
							<option value ="female">Female</option>	
					</select><br/>

					<!-- textarg -->
					<label for ="suggestion">Suggestion:</label><br/>
					<textarea name ="suggestion" rows="5" cols="5" id ="suggestion" required></textarea><br/>

					<!-- Radio button -->
					<label>Civil Status</label></laber><br/>

					<input type="radio" name="civilstatus" value=
					"single" id="single"/>
					<label for ="single">Single</label><br/>


					<input type="radio" name="civilstatus" value=
					"married" id="married"/>
					<label for ="married">Married</label><br/>

					<!-- Checkbox -->
					<label>Job</label><br/>

					<input type="checkbox" name="job1" value= "developer" id="developer">
					<label for="developer">Developer</label><br/>

					<input type="checkbox" name="job2" value= "student" id="student">
					<label for="student">Student</label><br/>

					<input type="checkbox" name="job3" value= "manager" id="manager">
					<label for="manager">Manager</label><br/>


					<!-- Submit for default -->
					<button>Submit</button>
					<!-- reset value in type attribute will reset the inputs of the user in the input fields -->
					<button type="reset">Reset</button>

					
				</form>
			</section>
		</main>

	</body>
</html>